/*!******************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[0].use[1]!./node_modules/postcss-loader/dist/cjs.js??ruleSet[1].rules[0].use[2]!./node_modules/sass-loader/dist/cjs.js!./src/scss/blocks/table_custom.scss ***!
  \******************************************************************************************************************************************************************************************************************************/
/*--------------------------------------------------------------
# LUMINA Table: Custom
--------------------------------------------------------------*/
/*--------------------------------------------------------------
## Custom: Colored Table
--------------------------------------------------------------*/
.wp-block-table.is-style-table-colored thead,
.wp-block-table.is-style-table-colored tfoot,
.wp-block-table.is-style-table-alternate thead,
.wp-block-table.is-style-table-alternate tfoot {
  border: none;
}

.wp-block-table.is-style-table-colored tr:nth-child(even),
.wp-block-table.is-style-table-alternate tr:nth-child(even) {
  color: var(--wp--preset--color--almost-black);
  background-color: var(--wp--preset--color--off-white);
}

.wp-block-table.is-style-table-colored tr:nth-child(odd),
.wp-block-table.is-style-table-alternate tr:nth-child(odd) {
  color: var(--wp--preset--color--almost-black);
  background-color: var(--wp--preset--color--white);
}

.wp-block-table.is-style-table-colored th,
.wp-block-table.is-style-table-colored td,
.wp-block-table.is-style-table-alternate th,
.wp-block-table.is-style-table-alternate td {
  border: 1px solid #ddd;
  padding: 8px;
}

.wp-block-table.is-style-table-colored th,
.wp-block-table.is-style-table-colored tfoot td,
.wp-block-table.is-style-table-alternate th,
.wp-block-table.is-style-table-alternate tfoot td {
  background-color: var(--wp--preset--color--primary-subtle-alt);
  font-weight: var(--wp--custom--typography--font-weight--medium);
}

.wp-block-table.is-style-table-colored th a:hover,
.wp-block-table.is-style-table-colored th a:focus,
.wp-block-table.is-style-table-colored tfoot td a:hover,
.wp-block-table.is-style-table-colored tfoot td a:focus,
.wp-block-table.is-style-table-alternate th a:hover,
.wp-block-table.is-style-table-alternate th a:focus,
.wp-block-table.is-style-table-alternate tfoot td a:hover,
.wp-block-table.is-style-table-alternate tfoot td a:focus {
  opacity: 0.8;
}

/*--------------------------------------------------------------
## Custom: Alternate Colored Table
--------------------------------------------------------------*/
.wp-block-table.is-style-table-alternate th:nth-child(6n+1),
.wp-block-table.is-style-table-alternate tfoot td:nth-child(6n+1) {
  background-color: var(--wp--preset--color--primary-subtle);
}

.wp-block-table.is-style-table-alternate th:nth-child(6n+2),
.wp-block-table.is-style-table-alternate tfoot td:nth-child(6n+2) {
  background-color: var(--wp--preset--color--secondary-subtle);
}

.wp-block-table.is-style-table-alternate th:nth-child(6n+3),
.wp-block-table.is-style-table-alternate tfoot td:nth-child(6n+3) {
  background-color: var(--wp--preset--color--tertiary-subtle);
}

.wp-block-table.is-style-table-alternate th:nth-child(6n+4),
.wp-block-table.is-style-table-alternate tfoot td:nth-child(6n+4) {
  background-color: var(--wp--preset--color--primary-subtle-alt);
}

.wp-block-table.is-style-table-alternate th:nth-child(6n+5),
.wp-block-table.is-style-table-alternate tfoot td:nth-child(6n+5) {
  background-color: var(--wp--preset--color--secondary-subtle-alt);
}

.wp-block-table.is-style-table-alternate th:nth-child(6n+6),
.wp-block-table.is-style-table-alternate tfoot td:nth-child(6n+6) {
  background-color: var(--wp--preset--color--tertiary-subtle-alt);
}
